Subject: 24.3.50; num3-mode detects long hex numbers as decimal

From: Alex Bennée <[email-masked]>
Date: Fri, 21 Feb 2014 17:12:00 +0000

When dealing with large hex numbers the default regex of num3-mode can
detect them as decimals. For example given:

V28   : 00000000000000000007fc0000000000 vs 0000000000000000000bfc000000000

the follow is high-lighted

V28   : __xxx___xxx___xxx_____x___xxx___ vs _xxx___xxx___xxx_________xxx___

which is obviously wrong.

In the end I just reset num3--number-re to:

(setq num3--number-re "\\([[:xdigit:]]+\\)\\|\\([0-9]+\\)\\|\\.\\([0-9]+\\)")

but perhaps a slightly more clever solution that maintains old behaviour
for very long decimal numbers unless there is a hex digit in there would
be better.

It wouldn't hurt to have customisable faces as well as the default can
look quite harsh depending on the theme.

Regards,

-- 
Alex Bennée